summaryrefslogtreecommitdiffstats
path: root/source/n/whois/whois.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/whois/whois.SlackBuild')
-rwxr-xr-xsource/n/whois/whois.SlackBuild7
1 files changed, 3 insertions, 4 deletions
diff --git a/source/n/whois/whois.SlackBuild b/source/n/whois/whois.SlackBuild
index 8485fe7a7..865a1ad64 100755
--- a/source/n/whois/whois.SlackBuild
+++ b/source/n/whois/whois.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2008, 2009, 2010, 2011, 2017, 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2010, 2011, 2017, 2018, 2019 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,7 +23,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=whois
-VERSION=${VERSION:-$(echo ${PKGNAM}_*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d _ | rev)}
+VERSION=${VERSION:-$(echo ${PKGNAM}-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
BUILD=${BUILD:-1}
# Automatically determine architecture for build & packaging:
@@ -50,7 +50,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
rm -rf whois-$VERSION
-tar xvf $CWD/whois_$VERSION.tar.?z* || exit 1
+tar xvf $CWD/whois-$VERSION.tar.?z || exit 1
cd whois-$VERSION
chown -R root:root .
find . \
@@ -84,4 +84,3 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
/sbin/makepkg -l y -c n $TMP/whois-$VERSION-$ARCH-$BUILD.txz
-